You should use rsync instead of cp as it's more efficient if any of the files or directories remain the same across runs. rsync also handles things like symlinks and oddities like sparse files better than cp. Use a text editor (pico is fine to start with) and create your ~/script.sh file (this version also has some error checking):
#!/bin/bash
rsync -av /scripts/htdocs/sob/summaries/* /scripts/htdocs/sob/summaries.prod || \
{ echo "rsync failed" >&2 && exit 1; };
rm -rf /somedir/cake.old /somedir/nbproject || { echo "rm -rf failed" >&2 && exit 1; };
Save that file, and run chmod 755 script.sh to make it executable. Then typing ~/script.sh will execute your script.
Note you want to put a absolute directory on that rm -rf command so you don't accidentally blow away the wrong directory in some other location. I also eliminated your second copy since it's covered in the first recursive copy.
rm -rf is a more standard idiom than rm -R. The -f forces removal of files/directories even if the permissions disallow it (but only for files or directories you already own).